apiVersion: v1
kind: Service
metadata:
  labels:
    app: sva-helloworld
    app.kubernetes.io/component: sva-helloworld
    app.kubernetes.io/instance: sva-helloworld
  name: sva-helloworld
  namespace: team-szoll-blog
spec:
  ports:
  - name: 8080-tcp
    port: 8080
    protocol: TCP
    targetPort: 8080
  selector:
    deployment: sva-helloworld
  sessionAffinity: None
---
apiVersion: route.openshift.io/v1
kind: Route
metadata:
  labels:
    app: sva-helloworld
    app.kubernetes.io/component: sva-helloworld
    app.kubernetes.io/instance: sva-helloworld
  name: sva-helloworld
  namespace: team-szoll-blog
spec:
  port:
    targetPort: 8080-tcp
  tls:
    insecureEdgeTerminationPolicy: Redirect
    termination: edge
  to:
    kind: Service
    name: sva-helloworld
    weight: 100
  wildcardPolicy: None
---
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: sva-helloworld
    app.kubernetes.io/component: sva-helloworld
    app.kubernetes.io/instance: sva-helloworld
  name: sva-helloworld
  namespace: team-szoll-blog
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      deployment: sva-helloworld
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      creationTimestamp: null
      labels:
        deployment: sva-helloworld
    spec:
      containers:
      - image: quay.io/svatraining/helloworld:simple
        imagePullPolicy: IfNotPresent
        name: sva-helloworld
        ports:
        - containerPort: 8080
          protocol: TCP
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
